Meta Battle Subway PokeBase - Pokemon Q&A
0 votes
283 views

I can't connect to the internet on Alpha Sapphire, it says I need a newer version of the software, when I try updating it just keeps saying it again.

asked by
What current version are you on?

3 Answers

0 votes

Nintendo America has a whole page dedicated to that here. Please check through that, it should help you out a lot.

The update should be, to quote GameFAQs here, right over here:

>Eshop---->Options---->Updates----->Pokemon Alpha Sapphire/ Omega Ruby

answered by
Doesn't work! D:
0 votes

An easier way— go on the Pokemon OR/AS icon on your 3DS but don't click it. Then just press the Y button and it'll ask you if you want to update the game if an update is available in the E-Shop.

answered by
I tried but when i update it it just keeps asking it again after updating.
0 votes

Sometimes updates for games wont work if the 3ds/2ds system itself is not fully updated. Make sure your system is up to date first (Check in the settings).

answered by
It is, it still doesn't work. I think i should wait for the next update :)